RegistryImpl (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.extension, class: RegistryImpl

Package org.apache.cxf.extension

# Class RegistryImpl<K,T>

java.lang.Object
org.apache.cxf.extension.RegistryImpl<K,T>

All Implemented Interfaces:
  `Registry<K,T>`

public class RegistryImpl<K,T> extends Object implements Registry<K,T>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map<K,T>`
  `entries`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RegistryImpl()`
  `protected`
  `RegistryImpl(Map<K,T> e)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get(K k)`
  Returns the object stored under the given key.
  `protected void`
  `loadDynamic()`
  `void`
  `register(K k, T t)`
  Registers an object of type T with this registry.
  `void`
  `unregister(K k)`
  Unregisters the object stored under the given key from this registry.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### entries

    protected final Map<K,T> entries

- ## Constructor Details

  - ### RegistryImpl

    protected RegistryImpl()

  - ### RegistryImpl

    protected RegistryImpl(Map<K,T> e)

- ## Method Details

  - ### loadDynamic

    protected void loadDynamic()

  - ### register

    public void register(K k, T t)
    Description copied from interface: `Registry`
    Registers an object of type T with this registry.
    Specified by:
      `register` in interface `Registry<K,T>`
    Parameters:
      `k` - the key under which rto register the object
      `t` - the object to register

  - ### unregister

    public void unregister(K k)
    Description copied from interface: `Registry`
    Unregisters the object stored under the given key from this registry.
    Specified by:
      `unregister` in interface `Registry<K,T>`
    Parameters:
      `k` - the key

  - ### get

    public T get(K k)
    Description copied from interface: `Registry`
    Returns the object stored under the given key.
    Specified by:
      `get` in interface `Registry<K,T>`
    Parameters:
      `k` - the key
    Returns:
      the object stored under the key